org.apache.hc.client5.http.async

## Interface AsyncExecCallback

    public interface AsyncExecCallback

### Method Summary

Methods
`void` `completed()`
`void` `failed(Exception cause)`
`org.apache.hc.core5.http.nio.AsyncDataConsumer` `handleResponse(org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.EntityDetails entityDetails)`

### Method Detail

#### handleResponse

    org.apache.hc.core5.http.nio.AsyncDataConsumer handleResponse(org.apache.hc.core5.http.HttpResponse response,
                                                                org.apache.hc.core5.http.EntityDetails entityDetails)
                                                                  throws org.apache.hc.core5.http.HttpException,
                                                                         IOException

Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`

#### completed

    void completed()

#### failed

    void failed(Exception cause)